<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ejercicio 3</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>



    <!-- <link rel="stylesheet" href="style.css"> -->
</head>

<body>
    <nav class="navbar navbar-expand-sm navbar-dark bg-primary">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler d-lg-none" type="button" data-toggle="collapse" data-target="#collapsibleNavId"
            aria-controls="collapsibleNavId" aria-expanded="false" aria-label="Toggle navigation"><span
                class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="collapsibleNavId">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0 nav">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#a" id="linkA">Consulta <span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#b">Inserción</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdownId" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">Dropdown</a>
                    <div class="dropdown-menu" aria-labelledby="dropdownId">
                        <a class="dropdown-item" href="#c" data-toggle="tab">Action 1</a>
                        <a class="dropdown-item" href="#d" data-toggle="tab">Action 2</a>
                    </div>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="text" placeholder="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
        </div>
    </nav>

    <div class="container">
        <div class="tab-content">
            <div class="tab-pane container active" id="a">
                <h1>Ejercicio 5 del segundo cuatrimestre</h1>




                <ul id="elto">
                    <li class="cl">Tarea 1</li>
                    <li class="cl">Tarea 2</li>
                    <li class="cl">Tarea 3</li>
                    <li class="cl">Tarea 4</li>
                    <li class="cl">Tarea 5</li>
                </ul>
                <form>
                    <label for="depId">
                        Busca departamento
                    </label>
                    <input type="text" name="dep" id="depId">
                    <input type="button" value="Enviar" class="btn btn-primary" id="btnEnv">

                    <input class="btn btn-secondary" type="reset" value="Reset">
                </form>

                <br>

                <div class="card">
                    <!-- <img class="card-img-top" src="holder.js/100x180/" alt=""> -->
                    <div class="card-body">
                        <h4 class="card-title">Departamentos</h4>
                        <p class="card-text">
                            <div id="resultado">
                                <em>Aquí se mostrarán los departamentos</em>
                            </div>
                        </p>
                    </div>
                </div>
            </div>
            <div class="tab-pane container" id="b">



                <form>
                    <fieldset>
                        <div class="form-group row">
                            <legend>Departamento</legend>
                        </div>


                        <div class="form-group row">
                            <label for="idD" class="col-sm-2 col-form-label">Id Depto.</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" placeholder="Introduzca el id" name="idDepto"
                                    id="idD">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inicD" class="col-sm-2 col-form-label">Iniciales</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="Introduzca las iniciales..."
                                    name="inicDepto" id="inicD">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreD" class="col-sm-2 col-form-label">Nombre</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="Introduzca el nombre completo..."
                                    name="nombreDepto" id="nombreD">
                            </div>
                        </div>
                        <div class="form-group row" style="text-align: right">
                            <div class="col-sm-2 offset-sm-10">
                                <input class="btn btn-info" type="button" value="Insertar" id="btnIns">
                            </div>
                        </div>
                    </fieldset>
                </form>


            </div>
            <div class="tab-pane container" id="c">La acción C la veo un poco decepcionante...</div>
            <div class="tab-pane container" id="d">Y la D no anda mucho mejor...</div>
        </div>
        <script src="cliente.js"></script>
        <script>

            $(function () {

                function f(r) {
                    $('#resultado').html(r);
                }

                function llamaAPhp() {
                    $.get('procesa.php',
                        { dep: $('#depId').val() },
                        f);
                }

                $('#btnEnv').click(llamaAPhp);
                $('#depId').keyup(llamaAPhp);

                $('#btnEnv').click();
                //mostrarAlerta();


                function f2(r) {
                    $('#linkA').click();
                    $('#resultado').html(r);
                    $('#btnEnv').click();
                }

                function insertaPhp() {
                    $.post('inserta.php',
                        { idD: $('#idD').val(), inicD: $('#inicD').val(), nombreD: $('#nombreD').val() },
                        f2);
                }

                $('#btnIns').click(insertaPhp);

            });

        </script>
    </div>

</body>

</html>